function [Pel,FC_system_eff] = CreateFCmap_II(Pfc)
% Fuel Cell Electric Vehicle Durability and
% Fuel Cell Performance
% Jennifer Kurtz, Sam Sprik, Genevieve Saur,
% and Shaun Onorato
% National Renewable Energy Laboratory
% Technical Report
% NREL/TP-5400-73011
% March 2019 

Prel = [0:5:100]/100;
FC_system_eff = [50 55 57.5 58 57.5 57 56.5 55.5 54.6 54 53.5 52.5 52 51 49.5 48 47 46.5 45 43.5 43]/100;
Pel = Prel*Pfc;

figure, clf
set(0,'units','pixels')
h=get(0,'Screensize');
set(gcf,'OuterPosition',[10,h(4)/4,h(3)/2-10,h(4)/4-10]);

plot(Pel/1000,FC_system_eff)
title('FC Efficiency [%]')
xlabel('FC Power [kW]')
grid
