clear all

Pfc_vector = [10:5:30];       % [kW]
Wbatt_vector =[5:5:30];         % [kWh]
% Ders_vector = [1 3 10 30];      % [km]

BatteryCost = 100;              % [Euro/kWh]
FCCost = XX;                    % [Euro/kW]
FClifetime = XX;              % [h]
ERSPickUpCost = XX;           % [Euro]
ERSOnBoardEqLifetime = 130000;  % [km]

for loop1=1:length(Pfc_vector)
    for loop2=1:length(Wbatt_vector)
        Pfc_max = Pfc_vector(loop1)*1000;
        % ders = Ders_vector(loop1)*1000;
        Wbatt = Wbatt_vector(loop2)*3.6e6;
        %[ders/1000 Wbatt/3.6e6]
        [Pfc_max/1000 Wbatt/3.6e6]
        InitiateEV_FCorERS;
        sim('EVwithERSorFC')
        Distance(loop1,loop2)=DIST(length(DIST));
        if Distance(loop1,loop2)>(max(cycle(:,3))/10000)*0.98,
            ECresult(loop1,loop2)=ECcomp(length(ECcomp));
            [lifeconsumed]=CycleCounter(SOC(:,2));
            LifeConsumed_rain(loop1,loop2)=lifeconsumed;
            TotalBatteryCost(loop1,loop2) = Wbatt/3.6e6*100*LifeConsumed_rain(loop1,loop2)/(Distance(loop1,loop2)*10); % [Euro/km]
            TotalFCCost(loop1,loop2) = FCCost*Pfc_max/1000*(max(cycle(:,1))/3600)/FClifetime/(Distance(loop1,loop2)*10); % [Euro/km]
            TotalERSgearCost(loop1,loop2) = ERSPickUpCost/ERSOnBoardEqLifetime; % [Euro/km]
        else
            ECresult(loop1,loop2)=nan;
            [lifeconsumed]=nan;
            LifeConsumed_rain(loop1,loop2)=nan;
            TotalBatteryCost(loop1,loop2) = nan; % [Euro/km]
            TotalFCCost(loop1,loop2) = nan; % [Euro/km]
            TotalERSgearCost(loop1,loop2) = nan; % [Euro/km]       
        end
        TotalCost(loop1,loop2) = TotalBatteryCost(loop1,loop2) + TotalFCCost(loop1,loop2) + TotalERSgearCost(loop1,loop2);
     end
end

close all

figure, clf
set(0,'units','pixels')
h=get(0,'Screensize');
set(gcf,'OuterPosition',[10,50,h(3)/2-10,h(4)-60]);

subplot(3,1,1)
mesh(Wbatt_vector, Pfc_vector, ECresult*10)
xlabel('Wbatt [kWh]')
ylabel('Pfc [kW]')
% ylabel('Ders [km]')
title('Primary electric energy consumption [kWh/10km]')

subplot(3,1,2)
mesh(Wbatt_vector, Pfc_vector, LifeConsumed_rain*100)
xlabel('Wbatt [kWh]')
ylabel('Pfc [kW]')
% ylabel('Ders [km]')
title('Lifeconsumed [%/10km]')

subplot(3,1,3)
mesh(Wbatt_vector, Pfc_vector, TotalCost*10)
xlabel('Wbatt [kWh]')
ylabel('Pfc [kW]')
% ylabel('Ders [km]')
title('Total Cost [Euro/10km]')